Skip to main content
`Ctrl`+`K`

# Simplex

class astropy.modeling.optimizers.Simplex

  Bases: `Optimization`

  Neald-Mead (downhill simplex) algorithm.

  This algorithm [1] only uses function values, not derivatives. Uses `scipy.optimize.fmin`.

  References

  [1]

  Nelder, J.A. and Mead, R. (1965), “A simplex method for function minimization”, The Computer Journal, 7, pp. 308-313

  Attributes Summary

  `supported_constraints` |

  Methods Summary

  `__call__`(objfunc, initval, fargs, **kwargs) | Run the solver.

  Attributes Documentation

  supported_constraints = ['bounds', 'fixed', 'tied']

  Methods Documentation

  __call__(objfunc, initval, fargs, **kwargs)

    Run the solver.

    Parameters:
      objfunc `python:callable()`

        objection function

      initval python:iterable

        initial guess for the parameter values

      fargs `python:tuple`

        other arguments to be passed to the statistic function

      kwargs `python:dict`

        other keyword arguments to be passed to the solver